import type { TagsBase } from '../../../storage/BaseRecord';
import { BaseRecord } from '../../../storage/BaseRecord';
import { DidDocument } from '../domain';
import { DidDocumentRole } from '../domain/DidDocumentRole';
export interface DidRecordProps {
    id: string;
    role: DidDocumentRole;
    didDocument?: DidDocument;
    createdAt?: Date;
    tags?: CustomDidTags;
}
interface CustomDidTags extends TagsBase {
    recipientKeyFingerprints?: string[];
}
declare type DefaultDidTags = {
    role: DidDocumentRole;
    method: string;
};
export declare class DidRecord extends BaseRecord<DefaultDidTags, CustomDidTags> implements DidRecordProps {
    didDocument?: DidDocument;
    role: DidDocumentRole;
    static readonly type = "DidDocumentRecord";
    readonly type = "DidDocumentRecord";
    constructor(props: DidRecordProps);
    getTags(): {
        role: DidDocumentRole;
        method: string;
        recipientKeyFingerprints?: string[] | undefined;
    };
}
export {};
